Subject: Re: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Alan Third <[email-masked]>
Date: Mon, 5 Apr 2021 11:34:24 +0100

On Sun, Apr 04, 2021 at 07:10:50AM +0000, Andrea Corallo wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Sat, 3 Apr 2021 15:01:20 +0100
> >> From: Alan Third <[email-masked]>
> >> Cc: [email-masked], [email-masked]
> >> 
> >> It's not entirely clear to me where the load path is set, is it
> >> 
> >>     fixup_eln_load_path (Lisp_Object directory)
> >> 
> >> in comp.c?
> >
> > I hope Andrea (CC'ed) will be able to answer that.
> 
> Okay, as window is loaded and dumped during the build
> `comp-eln-load-path' here doesn't come into play.
> 
> While resurrecting from dump we locate preloaded eln files by filename
> (relative to the emacs executable position).  Indeed the complication is
> that we have to support both uninstalled but also installed builds.
> 
> To do that before dumping we inform Emacs of where will have to search
> the eln files if installed.  We do that using ELN_DESTDIR defined
> Makefile.in:326.
> 
> If the directory structure on MacOS is different I guess we have to add
> the correct information there.

No matter what I set ELN_DESTDIR to, emacs still looks in

/Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/../native-lisp/28.0.50-24e3df15

so something isn't being updated, I guess?
-- 
Alan Third